<%@LANGUAGE="VBSCRIPT"%>
<%
option explicit

'===================================================
'Copyright 2005 Patrick Robin, Host Forest, all rights reserved
'
'All Host Forest software is provided for free under a linkware license.
'You may modify any part of the software at your own risk, but the software
'(altered or otherwise) may not be distributed to entities beyond the
'license holder without the explicit written permission of the copyright holder.
'
'You may not remove, alter or otherwise disable all or any of the hyperlinks
'to the Host Forest website (http://www.hostforest.co.uk). All images, links or
'text must remain unchanged and intact and visible when the pages are viewed
'unless you first obtain explicit written permission from the copyright holders.
'
'Permission to remove the links, images and branding on a site by site basis
'basis can be obtained by purchasing the appropriate license from Host Forest
'by visiting http://www.hostforest.co.uk/Purchase/default.asp 
'
'You may not pass of in part or in whole any part of this software, including
'images and source code, as your own work. You may use parts of this program in
'your own private works, including images and source code, but you may NOT
'redistribute, repackage, sublicense or sell in part or in whole any part of
'this program regardless of any modifications that may have been made without
'the express written permission of the copyright holder.
'
'This software is provided WITHOUT warranty, either expressed or implied,
'including, but not limited to, the implied warranties of merchantability and
'fitness for a particular purpose. 
'===================================================

'set time session and disable caches
session.lcid = 2057
response.buffer = true
response.expires = 60
response.expiresabsolute = now() - 1
response.addheader "pragma","no-cache"
response.addheader "cache-control","private"
response.cachecontrol = "no-cache"
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>

<!--#include virtual="/Includes/inc-dataconnection.asp"-->
<!--#include virtual="/Includes/func-common.asp"-->
<!--#include virtual="/Includes/func-aspcode.asp"-->
<!--#include virtual="/Includes/func-content.asp"-->
<!--#include virtual="/Includes/inc-configuration.asp"-->
<!--#include virtual="/Includes/inc-common.asp"-->

<%
'dimension variables
dim rsEvents, sqlEvents, intEventsCount, arrEventsData
dim strYear, strMonth, strDay, strDate
dim intYear, intEventsLoop

'load and check variables
if request.querystring("Year") <> "" and isnumeric(request.querystring("Year")) = true and len(request.querystring("Year")) = 4 then
	strYear = request.querystring("Year")
end if

if request.querystring("Month") <> "" and isnumeric(request.querystring("Month")) = true and len(request.querystring("Month")) = 2 then
	strMonth = request.querystring("Month")
end if

if request.querystring("Day") <> "" and isnumeric(request.querystring("Day")) = true and len(request.querystring("Day")) = 2 then
	strDay = request.querystring("Day")
end if

if strYear <> "" and strMonth <> "" and strDay <> "" then
	strDate = strYear & strMonth & strDay
end if

intYear = 2005

'check events are enabled
if intBlogEventsEnabled = 0 then
	response.redirect(strBlogLocation &"/error.asp?Type=Events&Error=Disabled&Redirect=/default.asp")
end if
%>

<title><%=strBlogTitle%> >> Events</title>

<!--#include virtual="/Includes/inc-metadata.asp"-->

<link rel="stylesheet" type="text/css" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/inc-stylesheet.css" />
<link rel="shortcut icon" href="<%=strBlogLocation%>/Themes/<%=strBlogTheme%>/Common/favicon.ico" />
<script type="text/javascript" src="<%=strBlogLocation%>/Includes/inc-javascript.js"></script>

</head>

<body>
	
	<div id="container">
		
		<div id="header">
			<!--#include virtual="/Includes/inc-header.asp"-->
		</div>
		
		<div id="centre">
			
			<div id="navigation">
				<!--#include virtual="/Includes/inc-navigation.asp"-->
			</div>
			
			<div id="content">
				<%
				'display blog breadcrumb
				call display_breadcrumb()
					
				'check whether a valid date has been specified
				if strDate = "" then
					
					'build events container
					response.write("<div id='events'>")
						
						'display events header
						response.write("<h1>Events</h1>")
						
						'display events search message
						response.write("<p>")
							response.write("Please select a date using the calender application to view the events scheduled for the specified date. Any events on the specified date will be listed below.")
						response.write("<p>")
						
					response.write("</div>")
				
				else
					
					'build events container
					response.write("<div id='events'>")
						
						'display events header
						response.write("<h1>Events</h1>")
						
						'display events search message
						response.write("<p>")
							response.write("Please select a date using the calender application to view the events scheduled for the specified date. Any events on the specified date will be listed below.")
						response.write("</p>")
						
						'grab events for specified date
						set rsEvents = server.createobject("adodb.recordset")
						sqlEvents = "SELECT Event_ID, Event_Title, Event_Description, Event_Date_Start FROM FB_Events WHERE Event_Date_Start LIKE '"& strDate &"%' ORDER BY Event_Date_Start ASC;"
						rsEvents.cursorlocation = 3
						rsEvents.open sqlEvents, adoConn
						if not (rsEvents.bof or rsEvents.eof) then
							intEventsCount = rsEvents.recordcount
							arrEventsData = rsEvents.getrows()
						else
							intEventsCount = 0
						end if
						rsEvents.close
						set rsEvents = nothing
						
						'increment query count
						intQuery = intQuery + 1
						
						'display events header
						response.write("<h2>"& web_time(strDate, strBlogTimeFormat, "Date") &"</h2>")
						
						'check whether any valid events were returned
						if intEventsCount = 0 then
							
							'display no events message
							response.write("<p>")
								response.write("There are no events listed for the date that you have selected. Please select a different date using the calender application.")
							response.write("</p>")
							
						else
							
							'display events message
							response.write("<p>")
								response.write("All of the events for the specified date are listed below in date order. To view the events for a different date please use the calender application to select a new date.")
							response.write("</p>")
							
							'initialise counter
							intEventsLoop = 0
							
							'loop through all event summaries
							do until intEventsLoop = intEventsCount
								
								'build event container
								response.write("<div class='event'>")
									
									'display event title
									response.write("<h3 class='eventheader'>"& arrEventsData(1, intEventsLoop) &"</h3>")
									
									'display event details
									response.write("<ul class='eventdetails'>")
										
										'display event start date
										response.write("<li><b>Event starts</b>: "& web_time(arrEventsData(3, intEventsLoop), strBlogTimeFormat, "Full") &"</li>")
										
									response.write("</ul>")
									
									'display event description
									response.write(SQL_decode(arrEventsData(2, intEventsLoop)))
									
								response.write("</div>")
								
								'increment counter
								intEventsLoop = intEventsLoop + 1
								
							loop								
							
						end if					
					
					response.write("</div>")	
					
				end if
				%>
			</div>
			
			<div id="subcontent">
				<!--#include virtual="/Includes/inc-subcontent.asp"-->
			</div>
			
			<div class="clear"></div>
		</div>
		
		<div id="footer">
			<!--#include virtual="/Includes/inc-footer.asp"-->
		</div>
	</div>
	
</body>

</html>